// SPDX-License-Identifier: Apache-2.0
import { createFixture } from "../config";
import { HederaIdPropsFixture } from "../shared/DataFixture";
export const UpdateExternalKycListsCommandFixture = createFixture((command) => {
    command.securityId.as(() => HederaIdPropsFixture.create().value);
    command.externalKycListsAddresses.as(() => [HederaIdPropsFixture.create().value]);
    command.actives.faker((faker) => [faker.datatype.boolean()]);
});
export const AddExternalKycListCommandFixture = createFixture((command) => {
    command.securityId.as(() => HederaIdPropsFixture.create().value);
    command.externalKycListAddress.as(() => HederaIdPropsFixture.create().value);
});
export const RemoveExternalKycListCommandFixture = createFixture((command) => {
    command.securityId.as(() => HederaIdPropsFixture.create().value);
    command.externalKycListAddress.as(() => HederaIdPropsFixture.create().value);
});
export const GrantKycMockCommandFixture = createFixture((command) => {
    command.contractId.as(() => HederaIdPropsFixture.create().value);
    command.targetId.as(() => HederaIdPropsFixture.create().value);
});
export const RevokeKycMockCommandFixture = createFixture((command) => {
    command.contractId.as(() => HederaIdPropsFixture.create().value);
    command.targetId.as(() => HederaIdPropsFixture.create().value);
});
export const GetKycStatusMockQueryFixture = createFixture((query) => {
    query.contractId.as(() => HederaIdPropsFixture.create().value);
    query.targetId.as(() => HederaIdPropsFixture.create().value);
});
export const GetExternalKycListsCountQueryFixture = createFixture((query) => {
    query.securityId.as(() => HederaIdPropsFixture.create().value);
});
export const GetExternalKycListsMembersQueryFixture = createFixture((query) => {
    query.securityId.as(() => HederaIdPropsFixture.create().value);
    query.start.faker((faker) => faker.number.int({ min: 1, max: 10 }));
    query.end.faker((faker) => faker.number.int({ min: 1, max: 10 }));
});
export const IsExternalKycListQueryFixture = createFixture((query) => {
    query.securityId.as(() => HederaIdPropsFixture.create().value);
    query.externalKycListAddress.as(() => HederaIdPropsFixture.create().value);
});
export const IsExternallyGrantedQueryFixture = createFixture((query) => {
    query.securityId.as(() => HederaIdPropsFixture.create().value);
    query.kycStatus.faker((faker) => faker.number.int({ min: 0, max: 1 }));
    query.targetId.as(() => HederaIdPropsFixture.create().value);
});
export const UpdateExternalKycListsRequestFixture = createFixture((request) => {
    request.securityId.as(() => HederaIdPropsFixture.create().value);
    request.externalKycListsAddresses.as(() => [HederaIdPropsFixture.create().value]);
    request.actives.faker((faker) => [faker.datatype.boolean()]);
});
export const AddExternalKycListsRequestFixture = createFixture((request) => {
    request.securityId.as(() => HederaIdPropsFixture.create().value);
    request.externalKycListAddress.as(() => HederaIdPropsFixture.create().value);
});
export const RemoveExternalKycListsRequestFixture = createFixture((request) => {
    request.securityId.as(() => HederaIdPropsFixture.create().value);
    request.externalKycListAddress.as(() => HederaIdPropsFixture.create().value);
});
export const IsExternallyGrantedRequestFixture = createFixture((request) => {
    request.securityId.as(() => HederaIdPropsFixture.create().value);
    request.kycStatus.faker((faker) => faker.number.int({ min: 0, max: 1 }));
    request.targetId.as(() => HederaIdPropsFixture.create().value);
});
export const IsExternalKycListRequestFixture = createFixture((request) => {
    request.securityId.as(() => HederaIdPropsFixture.create().value);
    request.externalKycListAddress.as(() => HederaIdPropsFixture.create().value);
});
export const GetExternalKycListsMembersRequestFixture = createFixture((request) => {
    request.securityId.as(() => HederaIdPropsFixture.create().value);
    request.start.faker((faker) => faker.number.int({ min: 1, max: 10 }));
    request.end.faker((faker) => faker.number.int({ min: 1, max: 10 }));
});
export const GetExternalKycListsCountRequestFixture = createFixture((request) => {
    request.securityId.as(() => HederaIdPropsFixture.create().value);
});
export const GrantKycMockRequestFixture = createFixture((request) => {
    request.contractId.as(() => HederaIdPropsFixture.create().value);
    request.targetId.as(() => HederaIdPropsFixture.create().value);
});
export const RevokeKycMockRequestFixture = createFixture((request) => {
    request.contractId.as(() => HederaIdPropsFixture.create().value);
    request.targetId.as(() => HederaIdPropsFixture.create().value);
});
export const GetKycStatusMockRequestFixture = createFixture((request) => {
    request.contractId.as(() => HederaIdPropsFixture.create().value);
    request.targetId.as(() => HederaIdPropsFixture.create().value);
});
